{% extends 'movies/getting_started.html' %}

{% block css %}
.onboard_container{
    box-sizing: border-box;
    margin: 0 10%;
    background: rgba(0,0,0,0.7);
    height:100%;
    color: white;

}
.genre_title{
    margin: 0;
    padding-top: 8px;
    text-align: center;
    font-size: 22px;
    padding-top: 5px;
    margin-bottom: 5%;
}
.genre{
    display: inline-block;
    border: 1px solid white;
    padding: 8px;
    margin: 5px;
    border-radius: 15px;
    cursor: pointer;

}
.genre_container{
    display: flex;
    justify-content: center;
}
.btn{
    display: inline-block;
    background-color: green;
    padding: 8px;
    margin-top: 10%;
    border-radius: 5px;
    cursor: pointer;
}
.proceed-btn{
    margin-left: 44%;
}
.skip-btn{
    background-color: grey;

}
.highlight{
    background-color: white;
    color: black;
}
.selected{
    background-color: green;
}
{%  endblock css %}

{% block body %}
<div class="onboard_container">
    <p class="genre_title">Select Your Genre</p>
    <div class="genre_container">
        <p class="genre">Action</p>
        <p class="genre">Comedy</p>
        <p class="genre">Drama</p>
        <p class="genre">Adventure</p>        
    </div>
    <div class="genre_container">
        <p class="genre">Horror</p>
        <p class="genre">Sci-Fi</p>
        <p class="genre">Musical</p>        
    </div>
    <div class="genre_container">
        <p class="genre">Documentary</p>
        <p class="genre">Horror</p>
        <p class="genre">Thriller</p>
        <p class="genre">Crime</p>        
    </div>
    <div class="genre_container">
        <p class="genre">Animation</p>
        <p class="genre">Fantasy</p>        
    </div>
    <p class="btn proceed-btn">Proceed</p>
    <p class="btn skip-btn">Skip</p>
</div>
<script src="https://code.jquery.com/jquery-3.1.0.min.js"></script>
    <script>
        var preference = []
        $(".genre").click(function(e){
            var text = e.target.innerText
            if($(this).hasClass('selected')){
                console.log(preference.indexOf(text))
                preference.splice(preference.indexOf(text), 1)
                $(this).removeClass('selected')
                return
            }
            if(preference.length < 3 && !preference.includes(text)){
                preference.push(e.target.innerText)
                $(this).addClass('selected')    
            }
           
});
        $(".genre").hover(function(){
          $(this).addClass('highlight');
          }, function(){
          $(this).removeClass('highlight');
        }
);

        $('.proceed-btn').click(function(){
            data = {
                'preference_one': preference[0],
                'preference_two': preference[1],
                'preference_three': preference[2],
            }
            $.ajax({
                url: '{% url 'movies:onboard' %}',
                type: "post",
                headers: {'X-CSRFToken': $('{% csrf_token %}').attr('value')
          },
                data: data,
                success: function(data) {
                    window.location = "{% url 'movies:getting_started' %}"
                    console.log(data.result);
                }});
        })
    </script>
{%  endblock body %}
